For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
  • API Reference
      • GETList Workspaces
      • POSTCreate Workspace
      • GETGet Workspace
      • DELDelete Workspace
      • PATCHUpdate Workspace
  • Python SDK
    • Install
    • Usage
    • Errors
  • CLI
    • Overview
LogoLogo
API Referenceworkspaces

List Workspaces

GET
/api/v1/workspaces
GET
/api/v1/workspaces
$curl https://api.onepin.ai/api/v1/workspaces \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "data": [
3 {
4 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
5 "name": "Marketing Team Workspace",
6 "slug": "marketing-team",
7 "color_idx": 4,
8 "created_by": "d290f1ee-6c54-4b01-90e6-d701748f0851",
9 "created_at": "2024-01-15T09:30:00Z",
10 "updated_at": "2024-04-10T14:45:00Z"
11 }
12 ],
13 "meta": {
14 "request_id": "7b9f3c2a-8d4e-4f3a-9f1b-2a3c4d5e6f78",
15 "timestamp": "2024-04-27T12:00:00Z"
16 },
17 "pagination": {
18 "limit": 20,
19 "next": "https://api.onepin.ai/api/v1/workspaces?offset=20&limit=20",
20 "prev": null
21 }
22}
List workspaces the current user is a member of.
Was this page helpful?
Previous

Create Workspace

Next
Built with

Authentication

AuthorizationBearer
Clerk JWT token

Query parameters

offsetintegerOptional>=0Defaults to 0
limitintegerOptional1-100Defaults to 20

Response

Successful Response
datalist of objects
metaobject
paginationobject

Errors

422
Unprocessable Entity Error